#if !defined(REGEXP_H)
#define REGEXP_H	1

extern char		*convexp ARGS((const char *re_));
extern void		expconv ARGS((void));
extern const char	*expmatch ARGS((const char *s_, const char *re_,
					const char **strtptr_, char *mstring_));
extern int		lc_strncmp ARGS((const char *s1_, const char *s2_,
					 size_t len_));
extern void		set_isidchar ARGS((const char *extra_));
extern void		set_isinichar ARGS((const char *extra_));
extern void		unset_isidchar ARGS((const char *remove_chars_));
extern void		unset_isinichar ARGS((const char *remove_chars_));


extern int		(*re_strncmp) ARGS((const char *s1_, const char *s2_,
					    size_t len_));
				/* function used by expmatch to compare
				 * strings.  The caller should make it point to
				 * strncmp if case is significant &
				 * lc_strncmp otherwise.
				 */

extern boolean isidchar[256];	/* indexed by unsigned characters: TRUE if */
				/* the character can occur in a \p or keyword */
				/* string */

extern boolean isinichar[256];	/* indexed by unsigned characters: TRUE if */
				/* the character is a legal initial character */
				/* of a procedure name or keyword */

extern boolean _escaped;	/* true if we are currently _escaped (MUST be
				   set to FALSE by caller of expmatch())*/
extern const char *Str_Start;	/* start of string (MUST be set by caller
				   (other than expmatch()) to initial s
				   passed to expmatch()) */

#endif /* !defined(REGEXP_H) */
